Kerbal Space Program - Bug #9331

Highlighted part becomes invisible when viewing through a fairing
04/20/2016 12:33 AM - blowfish

Status: Closed Start date: 04/20/2016
Severity: Low % Done: 100%
Assignee:

Category: Camera

Target version:

Version: 1.1.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

Steps to reproduce:

* Build a fairing
¢ Maneuver the camera so that the fairing base is visible through the walls of the fairing
¢ Move the mouse onto the fairing so that it is highlighted

The portion of the fairing base that is viewed through the walls will disappear. Also applies to other parts viewed through the fairing,
not just the base.

Related issues:
Related to Kerbal Space Program - Bug #9329: Decal transparency and draw order Closed 04/19/2016

History

#1 - 04/20/2016 12:50 AM - blowfish

Possibly related: similar issue with the flag decal on the FAT-455 tail fin: when the part is highlighted and viewed from certain angles, the stuff behind
the flag becomes invisible.

#2 - 04/20/2016 06:42 AM - rudi1291
#9311 and #9329 might be related

#3 - 04/20/2016 01:41 PM - Squelch
- Related to Bug #9329: Decal transparency and draw order added

#4 - 04/20/2016 01:47 PM - Squelch
- Status changed from New to Investigating

- % Done changed from 0 to 20

Thanks for reporting.
We are aware of some parts becoming invisible through fairings. An improvement overall in how the fairings render has left a few quirks.

#6 - 07/17/2016 09:46 AM - TriggerAu
- Status changed from Investigating to Needs Clarification

- % Done changed from 20 to 0

#7 - 07/17/2016 08:41 PM - blowfish
- Status changed from Needs Clarification to Resolved

- % Done changed from 0 to 100

Also fixed in 1.1.3

#8 - 07/17/2016 08:41 PM - blowfish

- Status changed from Resolved to Closed
